Bug 161284

Summary: Add adopted callback for custom elements
Product: WebKit Reporter: Ryosuke Niwa <rniwa>
Component: DOMAssignee: Ryosuke Niwa <rniwa>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, cmarcelo, commit-queue, dbates, esprehn+autocc, kangil.han, kling, koivisto, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 154907    
Attachments:
Description Flags
Adds the support none

Description Ryosuke Niwa 2016-08-26 19:26:53 PDT
Add the support for adoptedCallback.
Comment 1 Ryosuke Niwa 2016-08-26 19:49:43 PDT
Created attachment 287192 [details]
Adds the support
Comment 2 Ryosuke Niwa 2016-08-27 14:54:24 PDT
Comment on attachment 287192 [details]
Adds the support

Thanks for the review!
Comment 3 WebKit Commit Bot 2016-08-27 15:15:40 PDT
Comment on attachment 287192 [details]
Adds the support

Clearing flags on attachment: 287192

Committed r205085: <http://trac.webkit.org/changeset/205085>
Comment 4 WebKit Commit Bot 2016-08-27 15:15:50 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Ryosuke Niwa 2016-09-01 15:03:43 PDT
<rdar://problem/28124163>